QCDEStyle(3qt)

NAME
QCDEStyle - CDE look and feel

SYNOPSIS
#include <qcdestyle.h>

Inherits QMotifStyle.

  Public Members
QCDEStyle ( bool useHighlightCols = FALSE )
virtual ~QCDEStyle ()

DESCRIPTION
The QCDEStyle class provides a CDE look and feel.

This style provides a slightly improved Motif look similar to some versions of the Common Desktop Environment (CDE). The main differences are thinner frames and more modern radio buttons and checkboxes. Together with a dark background and a bright text/foreground color, the style looks quite attractive (at least for Motif fans).

Note that the functions provided by QCDEStyle are reimplementations of QStyle functions; see QStyle for their documentation.

See also Widget Appearance and Style.

MEMBER FUNCTION DOCUMENTATION

QCDEStyle::QCDEStyle ( bool useHighlightCols = FALSE )
Constructs a QCDEStyle.

If useHighlightCols is FALSE (the default), then the style will polish the application's color palette to emulate the Motif way of highlighting, which is a simple inversion between the base and the text color.

QCDEStyle::~QCDEStyle () [virtual]
Destroys the style.

SEE ALSO
http://doc.trolltech.com/qcdestyle.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qcdestyle.3) and the Qt version (3.3.8).